/*
     Description: 第一阶段的排序

     Copyright : All right reserved by ICT

     Author : Zhang Zhonghai
     Date : 2026/06/02
*/

#pragma once

void phase1Sort(void* data);


void phase1MergeCompress(void* data);

void mtInThreadSort(void* data, long idx, int tid);
void singleThreadSort(void* data);

void mergeLastData(void* p);